Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindReimbursementRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.DicsRequestType
              be.fgov.ehealth.dics.protocol.v5.FindReimbursementRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:17:34+02:00",
               comments="JAXB RI v2.3.6")
    public class FindReimbursementRequest

extends DicsRequestType
implements Serializable

Java class for FindReimbursementRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindReimbursementRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByPackage" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByPackageType"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByDmppType"/>
             <element name="FindByLegalReferencePath" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByGenericPrescriptionGroupType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindReimbursementRequest()`

Method Summary
`FindByDmppType` | `getFindByDmpp()` Gets the value of the findByDmpp property.
`FindByGenericPrescriptionGroupType` | `getFindByGenericPrescriptionGroup()` Gets the value of the findByGenericPrescriptionGroup property.
`String` | `getFindByLegalReferencePath()` Gets the value of the findByLegalReferencePath property.
`FindByPackageType` | `getFindByPackage()` Gets the value of the findByPackage property.
`void` | `setFindByDmpp(FindByDmppType value)` Sets the value of the findByDmpp property.
`void` | `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)` Sets the value of the findByGenericPrescriptionGroup property.
`void` | `setFindByLegalReferencePath(String value)` Sets the value of the findByLegalReferencePath property.
`void` | `setFindByPackage(FindByPackageType value)` Sets the value of the findByPackage property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType
`getSearchDate, setSearchDate`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindReimbursementRequest

    public FindReimbursementRequest()

Method Detail

### getFindByGenericPrescriptionGroup

    public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()

  Gets the value of the findByGenericPrescriptionGroup property.

  Returns:
    possible object is `FindByGenericPrescriptionGroupType`

### setFindByGenericPrescriptionGroup

    public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)

  Sets the value of the findByGenericPrescriptionGroup property.

  Parameters:
    `value` - allowed object is `FindByGenericPrescriptionGroupType`

### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()

  Gets the value of the findByLegalReferencePath property.

  Returns:
    possible object is `String`

### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)

  Sets the value of the findByLegalReferencePath property.

  Parameters:
    `value` - allowed object is `String`

### getFindByDmpp

    public FindByDmppType getFindByDmpp()

  Gets the value of the findByDmpp property.

  Returns:
    possible object is `FindByDmppType`

### setFindByDmpp

    public void setFindByDmpp(FindByDmppType value)

  Sets the value of the findByDmpp property.

  Parameters:
    `value` - allowed object is `FindByDmppType`

### getFindByPackage

    public FindByPackageType getFindByPackage()

  Gets the value of the findByPackage property.

  Returns:
    possible object is `FindByPackageType`

### setFindByPackage

    public void setFindByPackage(FindByPackageType value)

  Sets the value of the findByPackage property.

  Parameters:
    `value` - allowed object is `FindByPackageType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.